# Teste de estabilidade de internet

## Como instalar e configurar

Basta descompactar o conteúdo em alguma pasta no computador. Vamos assumir aqui que você descompactou no C:\. Então ao abrir o Windows Explorer, terá a pasta ``C:\Ping`` e lá dentro estes arquivos.

Abra o programa PingInfoView.exe e no **botão** *Ping Options* coloque o(s) host(s) que deseja manter "pingando". Configure para pingar a cada 2 segundos ou adapte conforme necessário. Marque a opção **Start pinging immediately without displaying this dialog-box**

No menu Options, marque a opção **Put Icon on Tray** para quando fecharem o programa ele continue executando lá do lado do relógio.

No menu Options -> Advanced Options Desmarque, se marcado, a opção **Limit the total number of accumulated pings:**

Na opção **Add the ping results into the following log file** Coloque o caminho do arquivo onde deve ficar o log dos pings.

Depois, configure o Windows para sempre inicializar de forma automática o **PingInfoView.exe**. Uma das formas de fazer isso é adicionar um atalho para ele na pasta Inicializar:

- Abra a janela "executar" com um ``Winkey + r`` e digite lá ``shell:startup``. Vai abrir a pasta Inicializar.
- Adicione um atalho (botão direito dentro da pasta Novo -> Atalho), buscando o C:\Ping\PingInfoView.exe
- Depois de criado o atalho, clique com o Direito nele e vá em ``Propriedades`` e na aba ``Atalho`` Na opção Executar selecione ``Minimizado`` assim quando inicializar o windows a janela abrirá minimizada.

Pronto, agora deixe rodando por horas ou dias dependendo o caso.

## Analizando os resultados

Abrindo o arquivo de log, veja se tem **Request Timeout**. Nesses instantes é que teve a queda da internet. Verificar se o problema foi a **internet** ou o **servidor**. Se foi no servidor, nenhum site foi acessado naquele momento, então basta ver os logs de acesso de qualquer site/sistema no servidor durante o horário das quedas, se teve acesso o problema é a internet.
